function AudioPlayer() {
	var _this = this;
	var Selector = {};
	var player = null;
	var audioPlayer;
	_this.start = function (_obj) {
		Selector = {
			CLASS_NAME: 'audio-player',
			ACTIVITY_CONTAINER: '#screen-container',			
			TYPE: 'regular',
			ON_AUDIO_PLAY: null,			
			ON_AUDIO_PAUSE: null,
			ON_AUDIO_ENDED: null,
			ON_COMPLETE: null,			
			isCompleted:false
		};
		Selector = $.extend(Selector, _obj);
		initTemplate();
	}
	_this.replayAudio = function(_id){		
		if(audioPlayer){
			audioPlayer.currentTime = 0;
			audioPlayer.play();
		}
	}
	_this.applySource = function(_obj){
		if(audioPlayer){
			audioPlayer.source = {
				type: 'audio',			
				sources: [
				  {
					src: _obj.src,
					type: 'audio/mp3',
				  },			 
				],			
			};
		}	
		if(APP.isScreenAudioPlay){
			audioPlayer.play();	
		}else{
			audioPlayer.pause();
		}
	}
	_this.playAudio = function(){
		audioPlayer.play();	
	}
	_this.stopAudio = function(){
		audioPlayer.stop();	
	}
	function initTemplate() {
		//console.log('audio player init...')
		APP.preloaderObj.show();
		Selector.isCompleted = false;
		$(Selector.ACTIVITY_CONTAINER).addClass(Selector.CLASS_NAME).addClass(Selector.TYPE);
		
		var deviceType = APP.systemDetectorObj.deviceType;
		var browserName = APP.systemDetectorObj.browserName;
		if(Selector.TYPE == 'modal-pop'){
			APP.modalAudioPlayer = new Plyr($(Selector.ACTIVITY_CONTAINER).find('.media-audio-player'),{
				controls: ['play', 'progress', 'current-time', 'restart', 'settings'],
				iconUrl: 'framework/images/'+APP.configObj.language.dir+'/plyr/plyr_sprite.svg',					
			});
		}else{
			audioPlayer = new Plyr($(Selector.ACTIVITY_CONTAINER).find('.media-audio-player'),{
				controls: ['play', 'progress', 'current-time', 'restart', 'settings'],
				iconUrl: 'framework/images/'+APP.configObj.language.dir+'/plyr/plyr_sprite.svg',					
			});
		}
		
		
		updateTemplateLayout();
		addTemplateEvent();
		APP.preloaderObj.hide();		
	}
	
	function addTemplateEvent() {
		if(audioPlayer){
			audioPlayer.on('loadstart', function(e){	
				//console.log('loadstart')				
				//APP.preloaderObj.show();				
			})
			audioPlayer.on('canplay', function(e){
				//console.log('canplay')		
							
			})
			audioPlayer.on('canplaythrough', function(e){	
				//console.log('canplaythrough')
			});
			audioPlayer.on('pause', function(e){		
				//console.log('pause')
				if(Selector.ON_AUDIO_PAUSE){
					Selector.ON_AUDIO_PAUSE()
				}
			});
			audioPlayer.on('play', function(e){
				//console.log('play');					
				if(APP.screenAudio){APP.screenAudio.pause();}
				if(APP.vidPlayer){APP.vidPlayer.pause();}
				if(APP.modalAudioPlayer){APP.modalAudioPlayer.pause();}
				if(Selector.ON_AUDIO_PLAY){
					Selector.ON_AUDIO_PLAY()
				}
			});
			audioPlayer.on('timeupdate', function(e){
				//console.log('timeupdate')				
				if(Selector.ON_TIMEUPDATE){
					Selector.ON_TIMEUPDATE({audObj: e.currentTarget});
				}
			});
			audioPlayer.on('ended', function(e){
				//console.log('ended')							
				if(Selector.ON_AUDIO_ENDED){					
					Selector.ON_AUDIO_ENDED();
					updateStatus();
				}
			});
		}		
		
	}
	
	function updateTemplateLayout() {
		
	}
	
	$(document).on(APP.eventObj.ON_CUSTOM_RESIZE, function (e) {
		updateTemplateLayout();
	});
	
	function updateStatus() {		
		Selector.isCompleted = true;	
		
		if (Selector.isCompleted) {
			screenCompleted();
		}
	}

	function screenCompleted() {
		if (Selector.ON_COMPLETE) {
			Selector.ON_COMPLETE();
		}
		
	}
}